<% Option Explicit %>
<% Response.Buffer = True 

'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Internet Search Engine
'**                                                              
'**  Copyright 2001 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can redistribute it and/or modify
'**  it under the terms of the GNU General Public License as published by
'**  the Free Software Foundation; either version 2 of the License, or
'**  any later version.
'**
'**  All copyright notices must remain intacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide must remain in place and the powered by
'**  logo with link back to Web Wiz Guide must remain visiable when the pages
'**  are viewed.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'**  GNU General Public License for more details.
'**    
'**  You should have received a copy of the GNU General Public License
'**  along with this program; if not, write to the Free Software
'**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
'** 
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.com/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'****************************************************************************************
%>
<!--#include file="common.inc" --> 
<HTML> 
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<TITLE>Add New URL</TITLE>


<!-- The Web Wiz Guide Internet Search Engine is written by Bruce Corkhill 2001
   	  If you want your own Internet Search Engine then goto http://www.webwizguide.com --


<!-- Check the from is filled in correctly before submitting -->
<script  language="JavaScript">
<!-- Hide from older browsers...

//Function to count the number of characters in the description text box
function DescriptionCharCount() {
	document.frmAddURL.countcharacters.value = document.frmAddURL.description.value.length;
}

//Function to check form is filled in correctly before submitting
function CheckForm () {

	//Intialise variables
	var errorMsg = "";
	var errorMsgLong = "";

	//Check for a URL title
	if (document.frmAddURL.title.value == ""){
		errorMsg += "\n\tSite Title \t\t- Enter the Title of the Web Site";
	}
		
	//Check for a URL address
	if ((document.frmAddURL.url.value == "http://")||(document.frmAddURL.url.value == "")){
		errorMsg += "\n\tURL \t\t- Enter a the web address of the Web Site";
	}
		
	//Check for keywords
	if (document.frmAddURL.keywords.value == ""){
		errorMsg += "\n\tKeywords \t- Enter Keywords for the Web Site";
	}
	
	//Check for a description
	if (document.frmAddURL.description.value == ""){
		errorMsg += "\n\tDescription \t- Enter a Description for the Web Site";
	}	
	
	//Check the description length before submiting the form	
	if (document.frmAddURL.description.value.length > 200){
		errorMsgLong += "\n- Your description is " + document.frmAddURL.description.value.length + " chracters long, it need to be shortned to below 200 chracters.";
	}
	
	//Check the word length before submitting
	words = document.frmAddURL.description.value.split(' ');
	for (var loop = 0; loop <= words.length - 1; ++loop){
		if (words[loop].length > 30){
		errorMsgLong += "\n- A word in your description contains " + words[loop].length + " characters, this needs to be shortened to below 30 characters.";
		}	
	}	
	
	//Check for HTML tags before submitting the form	
	for (var count = 0; count <= 3; ++count){
		if ((document.frmAddURL.elements[count].value.indexOf("<", 0) >= 0) && (document.frmAddURL.elements[count].value.indexOf(">", 0) >= 0)){
			errorMsgLong += "\n- HTML tags are not permitted, remove all HTML tags.";
		}			
	}
	
	//If there is aproblem with the form then display an error
	if ((errorMsg != "")||(errorMsgLong != "")){
		msg = "___________________________________________________________________\n\n";
		msg += "Your description have not been added because there are problem(s) with the form.\n";
		msg += "Please correct the problem(s) and re-submit the form.\n";
		msg += "___________________________________________________________________\n\n";
		msg += "The following field(s) need to be corrected: -\n";
		
		errorMsg += alert(msg + errorMsg + "\n" + errorMsgLong);
		return false;
	}
	
	return true;
}
// -->
</script>

<style type="text/css">
<!--
.text {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>}
.heading {font-family: <% = strTextType %>; font-size: 24px; color: <% = strTextColour %>; font-weight: bold;}
a {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strLinkColour %>}
a:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
a:visited {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strVisitedLinkColour %>}
a:visited:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
-->
</style>

</head>
<body bgcolor="<% = strBgColour %>" text="<% = strTextColour %>">
<div align="center"><span class="heading">Add New URL<br>
  </span> <a href="default.asp" target="_self">Return to the search engine</a></div>
<form method=post name="frmAddURL" action="add_URL.asp" onSubmit="return CheckForm();" onReset="return confirm('Are you sure you want to Clear the Form?');">
  <table width="528" border="0" cellspacing="0" cellpadding="1" align="center" bgcolor="<% = strTableBorderColour %>">
    <tr> 
      <td width="887"> 
        <table width="100%" border="0" align="center" class="normal" height="166" bgcolor="<% = strTableColour %>" cellpadding="3" cellspacing="0">
          <tr align="left"> 
            <td colspan="2" class="text" height="30">*Indicates required fields</td>
          </tr>
          <tr class="arial"> 
            <td align="right" width="23%" height="14" class="text">Site Title*: </td>
            <td height="14" width="77%"> 
              <input type="text" name="title" maxlength="45" >
            </td>
          </tr>
          <tr class="arial"> 
            <td align="right" width="23%" class="text" height="12">URL*:</td>
            <td height="12" width="77%"> 
              <input type="text" name="url" maxlength="55" value="http://">
            </td>
          </tr>
          <tr class="arial"> 
            <td align="right" width="23%" class="text" height="12">Keywords*:</td>
            <td height="12" width="77%"> 
              <input type="text" name="keywords" size="45" maxlength="200" >
            </td>
          </tr>
          <tr class="arial"> 
            <td align="right" width="23%" class="text" height="2" valign="top">Description*:<br>
              <span style="font-size: <% = intTextSize - 2 %>;">(max. characters 200)</span></td>
            <td height="2" valign="top" width="77%"> 
              <textarea name="description" cols="40" rows="5" onKeyDown="DescriptionCharCount();" onKeyUp="DescriptionCharCount();"></textarea>
            </td>
          </tr>
          <tr> 
            <td align="right" height="11" width="23%" class="text">Character Count:</td>
            <td height="11" width="77%"> 
              <input size="3" value="0" name="countcharacters" maxlength="3">
              &nbsp; 
              <input onClick="DescriptionCharCount();" type="button" value="Count" name="Count">
            </td>
          </tr>
          <tr> 
            <td valign="top" align="right" height="2" width="23%" class="arial">&nbsp; </td>
            <td height="2" width="77%"> 
              <p> 
                <input type="reset" name="Reset" value="Clear Form">
                <input type="submit" name="Submit" value="Add URL to Search Engine">
              </p>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</form>
<div align="center"><br>
  <a href="http://www.webwizguide.com" target="_blank"><img src="images/web_wiz_guide.gif" width="100" height="30" border="0" alt="Web Wiz Guide!"></a><br>
</div>
</body>
</html>
<%
'Close Server Objects
Set strCon = Nothing
Set adoCon = Nothing
%>