<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Internet Search Engine
'**                                                              
'**  Copyright 2001 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can redistribute it and/or modify
'**  it under the terms of the GNU General Public License as published by
'**  the Free Software Foundation; either version 2 of the License, or
'**  any later version.
'**
'**  All copyright notices must remain intacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide must remain in place and the powered by
'**  logo with link back to Web Wiz Guide must remain visiable when the pages
'**  are viewed.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'**  GNU General Public License for more details.
'**    
'**  You should have received a copy of the GNU General Public License
'**  along with this program; if not, write to the Free Software
'**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
'** 
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.com/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  asp@webwizguide.com
'**
'****************************************************************************************



Response.Buffer = True 

'Dimension variables
Dim rsSearchResults 		'database Recordset Variable
Dim intRecordPositionPageNum 	'Holds the record position
Dim intRecordLoopCounter 	'Loop counter for displaying the database records
Dim lngTotalRecordsFound 	'Holds the total number of records in the database
Dim lngTotalNumPages 		'holds the total number of pages in the database
Dim intLinkPageNum 		'Holds the page number to be linked to
Dim intLoopCounter		'Holds the loop counter number
Dim sarySearchWord	 	'Holds the keywords for the URL
Dim strSearchKeywords		'Holds the keywords to be searched
Dim intSQLLoopCounter		'Loop counter for the loop for the sql query
Dim intSearchWordLength		'Holds the length of the word to be searched
Dim blnSearchWordLenthOK	'Boolean set to false if the search word length is not OK
Dim intRecordDisplayFrom	'Holds the number of the search result that the page is displayed from
Dim intRecordDisplayedTo	'Holds the number of the search result that the page is displayed to


'If the session variable is False or does not exsist then redirect the user to the unauthorised user page
If Session("blnIsUserGood") = False or IsNull(Session("blnIsUserGood")) = True then
	'Redirect to unathorised user page
	Response.Redirect"unauthorised_user_page.htm"
End If


'If this is the first time the page is displayed then the page position is set to page 1
If Request.QueryString("PagePosition") = "" Then
	intRecordPositionPageNum = 1

'Else the page has been displayed before so the page postion is set to the Record Position number
Else
	intRecordPositionPageNum = CInt(Request.QueryString("PagePosition"))
End If	


'Read in all the search words into one variable
strSearchKeywords = Trim(Request.QueryString("search"))

'If the use has not entered a value then let the search words variable contain a space (chr10)
If strSearchKeywords = "" Then strSearchKeywords = chr(10)

'Replace any less than or greater than signs with the HTML equivalent (stops people entering HTML tags)
strSearchKeywords = Replace(strSearchKeywords, "<", "&lt;")
strSearchKeywords = Replace(strSearchKeywords, ">", "&gt;")
strSearchKeywords = Replace(strSearchKeywords, "'", "''")

'Read in the search words to be searched
sarySearchWord = Split(Trim(strSearchKeywords), " ")

'Return the tow '' back to one' for displaying on the screen
strSearchKeywords = Replace(strSearchKeywords, "''", "'")

'Initalise the word search length variable
blnSearchWordLenthOK = True

'Loop round to check that each word to be searched has more than the minimum word length to be searched
For intLoopCounter = 0 To UBound(sarySearchWord)
	
	'Initialise the intSearchWordLength variable with the length of the word to be searched
	intSearchWordLength = Len(sarySearchWord(intLoopCounter))
	
	'If the word length to be searched is less than or equal to min word length then set the blnWordLegthOK to false
	If intSearchWordLength <= intMinuiumSearchWordLength Then 
		blnSearchWordLenthOK = False		
	End If
Next


'Create a recordset object
Set rsSearchResults = Server.CreateObject("ADODB.Recordset")

	
'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT tblWebsites.* FROM tblWebsites "
		
'Get the mode to decide how we are going to buid the SQL Query
Select Case Request.QueryString("mode")

	'If the user has selected to search any words then intalise the strSQL statement to search for any words in the database
	Case "anywords"

		'Search for the first search word in the URL titles
		strSQL = strSQL & "WHERE Title LIKE '%" & sarySearchWord(0) & "%'"
	
		'Loop to search for each search word entered by the user
		For intSQLLoopCounter = 0 To UBound(sarySearchWord)
			strSQL = strSQL & " OR Title LIKE '%" & sarySearchWord(intSQLLoopCounter) & "%'"
			strSQL = strSQL & " OR Keywords LIKE '%" & sarySearchWord(intSQLLoopCounter) & "%'" 
			strSQL = strSQL & " OR Description LIKE '%" & sarySearchWord(intSQLLoopCounter) & "%'"
		Next
		
		'Order the search results by the number of click through hits decending (most popular sites first)
		strSQL = strSQL & " ORDER By Rating DESC, No_of_ratings DESC, Hits DESC;"


	'If the user has selected to search for all words then intalise the strSQL statement to search for entries containing all the search words
	Case "allwords"
	
		'Search for the first word in the URL titles
		strSQL = strSQL & "WHERE Title LIKE '%" & sarySearchWord(0) & "%'"
		
		'Loop to search the URL titles for each word to be searched
		For intSQLLoopCounter = 1 To UBound(sarySearchWord)
			strSQL = strSQL & " AND Title LIKE '%" & sarySearchWord(intSQLLoopCounter) & "%'"
		Next
		
		'OR if the search words are in the keywords	
		strSQL = strSQL & " OR Keywords LIKE '%" & sarySearchWord(0) & "%'"
		
		'Loop to search the URL keywords for each word to be searched
		For intSQLLoopCounter = 1 To UBound(sarySearchWord)
			strSQL = strSQL & " AND Keywords LIKE '%" & sarySearchWord(intSQLLoopCounter) & "%'"
		Next
		
		'Or if the search words are in the title	
		strSQL = strSQL & " OR Description LIKE '%" & sarySearchWord(0) & "%'"
		
		'Loop to search the URL description for each word to be searched
		For intSQLLoopCounter = 1 To UBound(sarySearchWord)
			strSQL = strSQL & " AND Description LIKE '%" & sarySearchWord(intSQLLoopCounter) & "%'"
		Next
		
		'Order the search results by the number of click through hits decending (most popular sites first)
		strSQL = strSQL & " ORDER By Rating DESC, No_of_ratings DESC, Hits DESC;"


	'If the user has selected to see newly enetred URL's then order the search results by date decending
	Case "new"
		'Initalise the strSQL variable with an SQL statement to query the database
		strSQL = "SELECT TOP " & intRecordsPerPage & " tblWebsites.* FROM tblWebsites"
		strSQL = strSQL & " ORDER By SiteIDNo DESC;"
End Select

'Query the database with the strSQL statement
rsSearchResults.Open strSQL, strCon, 3

'Count the number of records found
lngTotalRecordsFound = CLng(rsSearchResults.RecordCount)	

'If this is a random URL then strip all the other URL's and only leave one remaining URL
If Request.QueryString("submit") = "Random Search" and NOT rsSearchResults.EOF Then 
	
	'Randomise system timer
	Randomize Timer
	
	'Move to a random record in the recordset
	rsSearchResults.Move CLng(RND * lngTotalRecordsFound)

	'Filter out all the other records
	rsSearchResults.Filter = "SiteIDNo =" & rsSearchResults("SiteIDNO")

Else
	'Set the number of records to display on each page by the constant set at the top of the script
	rsSearchResults.PageSize = intRecordsPerPage
	
	'Get the page number record poistion to display from
	IF NOT rsSearchResults.EOF Then rsSearchResults.AbsolutePage = intRecordPositionPageNum
	
	'Count the number of pages the search results will be displayed on calculated by the PageSize attribute set above
	lngTotalNumPages = CLng(rsSearchResults.PageCount)
	
	
	'Calculate the the record number displayed from and to on the page showing
	intRecordDisplayFrom = (intRecordPositionPageNum - 1) * intRecordsPerPage + 1
	intRecordDisplayedTo = (intRecordPositionPageNum - 1) * intRecordsPerPage + intRecordsPerPage
	If intRecordDisplayedTo > lngTotalRecordsFound Then intRecordDisplayedTo = lngTotalRecordsFound

End If
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Search the Internet: <% = strSearchKeywords %></title>

<!-- The Web Wiz Guide Internet Search Engine is written by Bruce Corkhill 2001
   	  If you want your own Internet Search Engine then goto http://www.webwizguide.com --


<!-- Check the from is filled in correctly before submitting -->
<SCRIPT  language="JavaScript">
<!-- Hide from older browsers...
//Check the enquiry form is filled in correctly
function CheckForm () { 
		
	//If there is aproblem with the form then display an error
	if (document.frmInterSearch.search.value == "") {
		msg = "_________________________________________________________________\n\n";
		msg += "Your search has not been submitted because there are problem(s) with the form.\n";
		msg += "Please correct the problem(s) and re-submit the form.\n";
		msg += "_________________________________________________________________\n\n";
		msg += "\n\tPlease enter at least one keyword to search for."
		
		alert(msg + "\n\n");
		
		return false;
	}
	
	return true;
}

//Function to open pop up window
function openWin(theURL,winName,features) {
  	window.open(theURL,winName,'toolbar=0,location=0,status=0,menubar=0,scrollbars=0,resizable=0,width=350,height=310');
}
// -->
</script>

<style type="text/css">
<!--
.text {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>}
.bold {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>; font-weight: bold;}
.italic {font-family: <% = strTextType %>; font-size: <% = intTextSize - 1 %>px; color: #009900; font-style: italic;}
.heading {font-family: <% = strTextType %>; font-size: 24px; color: <% = strTextColour %>; font-weight: bold;}
a {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strLinkColour %>}
a:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
a:visited {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strVisitedLinkColour %>}
a:visited:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}

-->
</style>

</head>
<body bgcolor="<% = strBgColour %>" text="<% = strTextColour %>">
<div align="center"><span class="heading">Internet Search Engine</span><br>
  <a href="admin_menu.asp" target="_self">Return to the Internet Search Engine Admin Menu</a> <br>
  <br>
  <span class="text">To delete an entry from the database check the box next to the web site <br>
  and click on the delete button at the bootom of the page</span></div>
  
<form method="get" name="frmInterSearch" action="admin_search.asp" onSubmit="return CheckForm();">
  <table width="98%" border="0" cellspacing="0" cellpadding="1" bgcolor="<% = strTableBorderColour %>" align="center">
    <tr> 
      <td> 
        <table width="100%" border="0" cellspacing="0" cellpadding="2" align="center" bgcolor="<% = strTableColour %>">
          <tr> 
            <td> <a href="admin_search.asp?mode=new">Recently Submitted Web Sites</a></td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <table cellpadding="0" cellspacing="0" width="90%" align="center">
    <tr> 
      <td height="61" width="231" align="right" rowspan="3">&nbsp;</td>
      <td height="61" width="21" align="right" rowspan="3">&nbsp;</td>
      <td class="text" height="29" width="634" valign="bottom"> Web Page Search: </td>
    </tr>
    <tr> 
      <td class="normal" height="2" width="634"> 
        <input type="TEXT" name="search" maxlength="50" size="35" value="<% = Request.QueryString("search") %>">
        <input type="submit" value="Search " name="submit">
        <input type="submit" name="submit" value="Random Search">
      </td>
    </tr>
    <tr> 
      <td class="text" height="29" width="634" valign="top"> Search On : 
        <input type="radio" name="mode" value="allwords" CHECKED>All Words 
        <input type="radio" name="mode" value="anywords">Any Words </td>
    </tr>
  </table>
  </form>
  <form name="DeleteForm" method="post" action="delete_records.asp?PagePosition=<% = intRecordPositionPageNum %>&search=<% = Request.QueryString("search") %>&mode=<% = Request.QueryString("mode") %>">
  <%

If NOT Request.QueryString("mode") = "" Then 
	'Display the HTML table with the results status of the search or what type of search it is
	Response.Write vbCrLf & "     <table width=""98%"" border=""0"" cellspacing=""0"" cellpadding=""1"" align=""center"" bgcolor=""" & strTableBorderColour & """>"
	Response.Write vbCrLf & "      <tr>"
	Response.Write vbCrLf & " 	<td>"
	Response.Write vbCrLf & "	<table width=""100%"" border=""0"" cellspacing=""0"" cellpadding=""2"" align=""center"" bgcolor=""" & strTableColour & """>"
	Response.Write vbCrLf & " 	  <tr>"
	
	'Display that the URL is randomly generated	
	If Request.QueryString("submit") = "Random Search" Then
		Response.Write vbCrLf & " 	    <td  class=""text""> Random Search for <span class=""bold"">" & strSearchKeywords & "</span>.</td>"
		
	'Display that we are showing a page of the latest URL's indexed
	ElseIf Request.QueryString("mode") = "new" Then
		Response.Write vbCrLf & " 	    <td class=""text""> The " & intRecordsPerPage & " latest URL's Indexed.</td>"  
		 
	'Display that one of the words entered was to short
	ElseIf	blnSearchWordLenthOK = False Then
		Response.Write vbCrLf & " 	    <td class=""text""> Searched the web for <span class=""bold"">" & strSearchKeywords & "</span>. &nbsp;&nbsp;&nbsp;One of the words searched is to short.</td>"   
	
	'Display that there where no matching records found
	ElseIf rsSearchResults.EOF Then 
		Response.Write vbCrLf & " 	    <td class=""text""> Searched the web for <span class=""bold"">" & strSearchKeywords & "</span>. &nbsp;&nbsp;&nbsp;Sorry, no results found.</td>"   
	
	'Else Search went OK so display how many records found
	Else	
		Response.Write vbCrLf & " 	    <td class=""text""> Searched the web for <span class=""bold"">" & strSearchKeywords & "</span>. &nbsp;&nbsp;&nbsp;Displaying Results " & intRecordDisplayFrom & " - " & intRecordDisplayedTo & " of " & lngTotalRecordsFound & ".</td>"	    
	End If
			
	'Close the HTML table with the search status
	Response.Write vbCrLf & "	  </tr>"
	Response.Write vbCrLf & "	</table>"
	Response.Write vbCrLf & "	</td>"
	Response.Write vbCrLf & "      </tr>"
	Response.Write vbCrLf & "     </table>"


	'Display the various results
	
	'HTML table to display the search results or an error if there are no results
	Response.Write vbCrLf & "	<br>" & vbCrLf 
	Response.Write vbCrLf & "	<table width=""95%"" border=""0"" cellspacing=""1"" cellpadding=""1"" align=""center"">"
	Response.Write vbCrLf & "	 <tr>" 
	Response.Write vbCrLf & "	  <td class=""text"">"   
	
	'Display error message if one of the words is to short
	If blnSearchWordLenthOK = False And NOT Request.QueryString("mode") = "new" Then
	
		'Write HTML displaying the error
		Response.Write vbCrLf & "	   Your Search - <span class=""bold"">" & strSearchKeywords & "</span> - Contained a word with " & intMinuiumSearchWordLength & " letters or less, this is to short to search."
	   	Response.Write vbCrLf & "	   <br><br>"
	   	Response.Write vbCrLf & "	   Suggestions:"
	   	Response.Write vbCrLf & "	   <br>"
	   	Response.Write vbCrLf & "	   <ul><li>Try longer keywords.<li>Make sure all words are spelled correctly.<li>Try different keywords.<li>Try more general keywords.</ul>"
	   	
	'If no search results found then show an error message
	ElseIf rsSearchResults.EOF Then
	
		'Write HTML displaying the error
		Response.Write vbCrLf & "	   Your Search - <span class=""bold"">" & strSearchKeywords & "</span> - did not match any documents."
	   	Response.Write vbCrLf & "	   <br><br>"
	   	Response.Write vbCrLf & "	   Suggestions:"
	   	Response.Write vbCrLf & "	   <br>"
	   	Response.Write vbCrLf & "	   <ul><li>Make sure all words are spelled correctly.<li>Try different keywords.<li>Try more general keywords.<li>Try fewer keywords.</ul>"
	   	
	Else
		'For....Next Loop to display the results from the database
		For intRecordLoopCounter = 1 to intRecordsPerPage
		
			'If there are no records left to display then exit loop
			If rsSearchResults.EOF Then Exit For					
		      	
		      	'Display the details of the URLs found	
		      	Response.Write vbCrLf & "	   <input type=""checkbox"" name=""chkRecordNo"" value="" " & CInt(rsSearchResults("SiteIDNo")) & " ""> <span class=""bold"">Check box to delete entry</span><br>"	
	   		Response.Write vbCrLf & "	   <a href=""" & rsSearchResults("URL") & """ target=""_blank"">" & rsSearchResults("Title") & "</a>"
	   		Response.Write vbCrLf & "	   <br>"
	   		Response.Write vbCrLf & "	   " & rsSearchResults("Description")
	   		Response.Write vbCrLf & "	   <br>"
	   		Response.Write vbCrLf & "	   <span class=""italic""><img src=""../images/" & CInt(rsSearchResults("Rating")) & "_star_rating.gif"" width=""66"" height=""14"" alt=""" & CInt(rsSearchResults("Rating")) & " star rating""> Average rating based on " & CLng(rsSearchResults("No_of_ratings")) & " votes&nbsp;&nbsp;-&nbsp;&nbsp;Hits&nbsp;" & CInt(rsSearchResults("Hits")) & "&nbsp;&nbsp;-&nbsp;&nbsp;" & Replace(rsSearchResults("URL"), "http://", "") & "</span>"
	   		Response.Write vbCrLf & "	   <br><br>"
	   	
			'Move to the next record in the database
			rsSearchResults.MoveNext
		
		'Loop back round   	
		Next
	 End If
	
	'Close the HTML table displaying the results
	Response.Write vbCrLf & "	    </td>"
	Response.Write vbCrLf & "	  </tr>"
	Response.Write vbCrLf & "	</table>"
	
	 
	 
	 
	'If there are more pages to display then add a title to the other pages
	If intRecordPositionPageNum > 1 OR NOT rsSearchResults.EOF AND blnSearchWordLenthOK = True Then
	
		 'Display an HTML table with links to the other search results
		Response.Write vbCrLf & "	<table width=""100%"" border=""0"" cellspacing=""0"" cellpadding=""0"" align=""center"">"
		Response.Write vbCrLf & " 	  <tr>"
		Response.Write vbCrLf & " 	    <td>"
		Response.Write vbCrLf & "		<table width=""100%"" border=""0"" cellpadding=""0"" cellspacing=""0"">"
		Response.Write vbCrLf & "		  <tr>"
		Response.Write vbCrLf & "		    <td width=""50%"" align=""center""  class=""text"">"
		
		'If there are more pages to display then add a title to the other pages
		If intRecordPositionPageNum > 1 or NOT rsSearchResults.EOF Then
			Response.Write vbCrLf & "		Results Page:&nbsp;&nbsp;"
		End If
		
		'If the page number is higher than page 1 then display a back link    	
		If intRecordPositionPageNum > 1 Then 
			Response.Write vbCrLf & "		 <a href=""admin_search.asp?PagePosition=" &  intRecordPositionPageNum - 1  & "&search=" & Server.URLEncode(strSearchKeywords) & "&mode=" & Request.QueryString("mode") &""" target=""_self"">&lt;&lt;&nbsp;Prev</a>&nbsp; "   	     	
		End If     	
		
		
		'If there are more pages to display then display links to all the search results pages
		If intRecordPositionPageNum > 1 or NOT rsSearchResults.EOF Then 
			
			'Loop to diplay a hyper-link to each page in the search results    	
			For intLinkPageNum = 1 to lngTotalNumPages		
				
				'If the page to be linked to is the page displayed then don't make it a hyper-link
				If intLinkPageNum = intRecordPositionPageNum Then
					Response.Write vbCrLf & "		     " & intLinkPageNum
				Else
				
					Response.Write vbCrLf & "		     &nbsp;<a href=""admin_search.asp?PagePosition=" &  intLinkPageNum  & "&search=" & Server.URLEncode(strSearchKeywords) & "&mode=" & Request.QueryString("mode") & """ target=""_self"">" & intLinkPageNum & "</a>&nbsp; "			
				End If
			Next
		End If
		
		
		'If it is Not the End of the search results than display a next link     	
		If NOT rsSearchResults.EOF then   	
			Response.Write vbCrLf & "		&nbsp;<a href=""admin_search.asp?PagePosition=" &  intRecordPositionPageNum + 1  & "&search=" & Server.URLEncode(strSearchKeywords) & "&mode=" & Request.QueryString("mode") & """ target=""_self"">Next&nbsp;&gt;&gt;</a>"	   	
		End If      	
		
		
		'Finsh HTML the table      	
		Response.Write vbCrLf & "		    </td>"      	
		Response.Write vbCrLf & "		  </tr>"
		Response.Write vbCrLf & "		</table>"		
		Response.Write vbCrLf & "	    </td>"
		Response.Write vbCrLf & "	  </tr>"
		Response.Write vbCrLf & "	</table>"
		Response.Write vbCrLf & "	<br>"
	 
	End If 
End If


'Close Server Objects 
Set rsSearchResults = Nothing
Set strCon = Nothing
Set adoCon = Nothing
%>
  <table width="100%" border="0" cellspacing="0" cellpadding="1">
    <tr>
      <td align="center"> 
        <input type="submit" name="Submit" value="Delete Web Sites">
      </td>
    </tr>
  </table>
  <br>
  <table width="98%" border="0" cellspacing="0" cellpadding="1" align="center" bgcolor="<% = strTableBorderColour %>">
  <tr> 
    <td> 
      <table width="100%" border="0" cellspacing="0" cellpadding="2" bgcolor="<% = strTableColour %>" align="center">
        <tr> 
            <td width="47%"><a href="admin_search.asp?mode=new">Recently Submitted 
              Web Sites</a></td>
            <td width="53%" align="right" class="text">Get your own Search Engine from - <a href="http://www.webwizguide.com" target="_blank">www.webwizguide.com</a></td>
        </tr>
      </table>
    </td>
  </tr>
</table></form>
<div align="center"><a href="http://www.webwizguide.com" target="_blank"><img src="../images/web_wiz_guide.gif" width="100" height="30" border="0" alt="Web Wiz Guide!"></a> 
</div>
   </body>
</html>